/*******************************************************************************
 * FoxBillboardUIBomb generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxBillboardUIBomb extends FoxBillboardUIObjectBase within GFxMoviePlayer
    native(HUD)
    config(HUD);

var FoxGameObject_Bomb BombObject;
var bool bPlanted;

function DockBillboard()
{
    SetBool("holdingFlag", true);
    super.DockBillboard();
    //return;    
}

function UndockBillboard()
{
    SetBool("holdingFlag", false);
    super.UndockBillboard();
    //return;    
}

function Initialize()
{
    SetBool("showBomb", true);
    super.Initialize();
    //return;    
}

event UpdatedPlanted()
{
    SetBool("plantBomb", bPlanted);
    //return;    
}

defaultproperties
{
    symbolname="billBoard_Mobile"
    bDockable=true
    bWantsTeamColor=true
    bKeepOnScreen=true
    bDrawDistance=true
    bSupportsOpacityChangeInTightAim=true
}